curl
curl -sS "https://gateway.orbit/api/v1/instances/12/annotations" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": "<string>",
"threadId": "<string>",
"comment": "<string>",
"x": 50,
"y": 123,
"timestamp": 1,
"url": "<string>",
"pathname": "<string>",
"element": "<string>",
"elementPath": "<string>",
"isFixed": true,
"boundingBox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"screenshot": "<string>",
"component": "<string>",
"controller": "<string>",
"route": "<string>",
"screenSize": "<string>",
"scrollPosition": "<string>",
"breakpoint": "<string>",
"react": "<string>",
"instanceId": 123,
"taskId": 123,
"taskGroupId": 123,
"revision": 123,
"status": "pending",
"delivery": "queued",
"syncError": "<string>",
"summary": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Annotations
annotation:list
GET
/
api
/
v1
/
instances
/
{instance}
/
annotations
curl
curl -sS "https://gateway.orbit/api/v1/instances/12/annotations" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": "<string>",
"threadId": "<string>",
"comment": "<string>",
"x": 50,
"y": 123,
"timestamp": 1,
"url": "<string>",
"pathname": "<string>",
"element": "<string>",
"elementPath": "<string>",
"isFixed": true,
"boundingBox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"screenshot": "<string>",
"component": "<string>",
"controller": "<string>",
"route": "<string>",
"screenSize": "<string>",
"scrollPosition": "<string>",
"breakpoint": "<string>",
"react": "<string>",
"instanceId": 123,
"taskId": 123,
"taskGroupId": 123,
"revision": 123,
"status": "pending",
"delivery": "queued",
"syncError": "<string>",
"summary": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}